## picolibc 1.5.1

=== meson_options.txt ===
--- 
+++ 
@@ -38,26 +38,38 @@
 option('have-alias-attribute', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Compiler supports __alias__ attribute')
 
+option('have-format-attribute', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
+       description: 'Compiler supports __format__ attribute')
+
 option('multilib', type: 'boolean', value: true,
        description: 'Enable multilib compile')
 
 option('multilib-list', type: 'array', value: [],
        description: 'List of multilib configurations to build for')
 
+option('picolib', type: 'boolean', value: true,
+       description: 'Include pico lib bits')
+
+option('picocrt', type: 'boolean', value: true,
+       description: 'Include pico crt bits')
+
+option('specsdir', type: 'string',
+       description: 'Installation directory for .specs file')
+
+option('sysroot-install', type: 'boolean', value: false,
+       description: 'Install in gcc sysroot')
+
+#
+# Testing options
+#
 option('native-tests', type: 'boolean', value: false,
        description: 'Run math tests against native libc too')
-
-option('picolib', type: 'boolean', value: true,
-       description: 'Include pico lib bits')
-
-option('specsdir', type: 'string',
-       description: 'Installation directory for .specs file')
-
-option('sysroot-install', type: 'boolean', value: false,
-       description: 'Install in gcc sysroot')
-
 option('tests', type: 'boolean', value: false,
        description: 'Enable tests')
+option('tests-enable-stack-protector', type: 'boolean', value: true,
+       description: 'tests enable stack protector')
+option('tests-disable-full-malloc-stress', type: 'boolean', value: true,
+       description: 'tests disable stress test for full malloc')
 
 option('newlib-tinystdio', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Use tiny stdio from avr libc')
@@ -81,6 +93,8 @@
 #
 option('io-float-exact', type: 'boolean', value: true,
        description: 'use float/string code which supports round-tripping')
+option('atomic-ungetc', type: 'boolean', value: true,
+       description: 'use atomics in fgetc/ungetc to make them re-entrant')
 option('posix-io', type: 'boolean', value: true,
        description: 'Provide fopen/fdopen using POSIX I/O (open, close, read, write, lseek)')
 option('posix-console', type: 'boolean', value: false,
@@ -89,7 +103,7 @@
 #
 # Options applying to only legacy stdio
 #
-option('newlib-elix-level', type: 'integer', value: 0,
+option('newlib-elix-level', type: 'integer', value: 2,
        description: 'desired elix library level (0-4)')
 option('newlib-fseek-optimization', type: 'boolean', value: false,
        description: 'enable fseek optimization')
@@ -118,16 +132,19 @@
 # Internationalization options
 #
 
-option('newlib-iconv', type: 'boolean', value: false,
-       description: 'enable iconv library support')
-option('newlib-iconv-encodings', type: 'boolean', value: false,
+option('newlib-iconv-encodings', type: 'array',
        description: 'enable specific comma-separated list of bidirectional iconv encodings to be built-in')
-option('newlib-iconv-from-encodings', type: 'boolean', value: false,
+option('newlib-iconv-from-encodings', type: 'array',
        description: 'enable specific comma-separated list of "from" iconv encodings to be built-in')
-option('newlib-iconv-to-encodings', type: 'boolean', value: false,
+option('newlib-iconv-to-encodings', type: 'array',
        description: 'enable specific comma-separated list of "to" iconv encodings to be built-in')
-option('newlib-iconv-external-ccs', type: 'boolean', value: false,
-       description: 'enable capabilities to load external CCS files for iconv')
+option('newlib-iconv-external-ccs', type: 'boolean', value:false,
+       description: 'Load iconv CCS tables from files rather than having them built-in')
+option('newlib-iconv-dir', type: 'string',
+       description: 'Installation directory for iconv CCS files')
+option('newlib-iconv-runtime-dir', type: 'string',
+       description: 'Path used at runtime to locate iconv CCS files')
+
 option('newlib-locale-info', type: 'boolean', value: false,
        description: 'locale support')
 option('newlib-locale-info-extended', type: 'boolean', value: false,
@@ -160,9 +177,9 @@
 #
 # Locking support
 #
-option('newlib-multithread', type: 'boolean', value: false,
+option('newlib-multithread', type: 'boolean', value: true,
        description: 'enable support for multiple threads')
-option('newlib-retargetable-locking', type: 'boolean', value: false,
+option('newlib-retargetable-locking', type: 'boolean', value: true,
        description: 'Allow locking routines to be retargeted at link time')
 
 #
@@ -175,6 +192,8 @@
 option('newlib-global-errno', type: 'boolean', value: false,
        description: 'use global errno variable')
 
+# 
+# Math options
 #
 # Use "obsolete" math code, which use 'float' for 'float' functions
 # instead of the newer code which uses 'double' instead.
@@ -182,6 +201,14 @@
 option('newlib-obsolete-math', type: 'combo', choices: ['true', 'false', 'auto'],
        value: 'auto',
        description: 'Use float type for float valued math routines (default: automatic based on platform)')
+option('newlib-obsolete-math-float', type: 'combo', choices: ['true', 'false', 'auto'],
+       value: 'auto',
+       description: 'Use old math code that uses float type for float valued math routines (default: automatic based on platform)')
+option('newlib-obsolete-math-double', type: 'combo', choices: ['true', 'false', 'auto'],
+       value: 'auto',
+       description: 'Use old math code for double valued math routines (default: automatic based on platform)')
+option('want-math-errno', type: 'boolean', value: false,
+       description: 'Set errno in math functions according to stdc (default: false)')
 
 #
 # Obsolete newlib options
@@ -194,4 +221,3 @@
        description: 'system provides reentrant syscall API')
 option('newlib-supplied-syscalls', type: 'boolean', value: false,
        description: 'newlib supplies system call functions')
-
