=== debian/changelog ===
picolibc (1.5.1-2) unstable; urgency=medium

  * Mark tests with 'Restrictions: skip-not-installable' to skip
    autopkg test on armhf. Closes: #980086.

 -- Keith Packard <keithp@keithp.com>  Tue, 26 Jan 2021 17:36:43 -0800

picolibc (1.5.1-1) unstable; urgency=medium

  * New upstream release

  * Fix riscv autopkgtest failure

 -- Keith Packard <keithp@keithp.com>  Thu, 14 Jan 2021 10:17:21 -0800

picolibc (1.5-1) unstable; urgency=medium

  * New upstream release

  * Make picolibc more compatible with C++ compilers.

  * Add GCC specs file and linker script for building C++ applications
    with G++ that enable exception handling by linking in call stack
    information.

  * A few clang build fixes, including libm exception generation

  * Nano malloc fixes, especially for 'unusual' arguments

  * Merge in newlib 4.1.0 code

  * More libm exception/errno/infinity fixes, mostly in the gamma funcs.

  * Add tests for all semihost v2.0 functions.

  * A few RISC-V assembly fixes and new libm code.

  * Build fixes to reliably replace generic code with
    architecture-specific implementations.

 -- Keith Packard <keithp@keithp.com>  Thu, 07 Jan 2021 13:06:25 -0800

picolibc (1.4.7-2) unstable; urgency=medium

  * Source upload. Closes: #978412.

 -- Keith Packard <keithp@keithp.com>  Sun, 27 Dec 2020 12:42:53 -0800

picolibc (1.4.7-1) unstable; urgency=medium

  * New upstream version

  * Fix numerous libm exception and errno bugs. The math functions are
    all now verified to match the C19 and Posix standards in this
    area.

  * Change behavior of 'gamma' function to match glibc which returns
    lgamma for this function. Applications should not use this
    function, they should pick either lgamma or tgamma as appropriate.

  * Fix fma/fmaf on arm and RISC-V so that the machine-specific
    versions are used when the hardware has support. Also fix the math
    library to only use fma/fmaf when it is supported by the hardware.

  * Fix numerous nano-malloc bugs, especially with unusual parameters.

  * Change nano-malloc to always clear returned memory.

  * Improve nano-realloc to perform better in various ways, including
    merging adjacent free blocks and expanding the heap.

  * Add malloc tests, both a basic functional test and a stress test.

  * Improve build portability to Windows. Picolibc should now build
    using mingw.

  * Use hardware TLS register on ARM when available.

  * Support clang compiler. Thanks to Denis Feklushkin
    <denis.feklushkin@gmail.com> and Joakim Nohlgård
    <joakim@nohlgard.se>.

  * Avoid implicit float/double conversions. Check this by having
    clang builds use -Wdouble-promotion -Werror=double-promotion flags

  * Have portable code check for machine-specific overrides by
    matching filenames. This avoids building libraries with duplicate
    symbols and retains compatibility with newlib (which uses a
    different mechanism for this effect).

  * Patches to support building with CompCert
    (http://compcert.inria.fr/), a formally verified compiler. Thanks
    to Sebastian Meyer <meyer@absint.com>.

 -- Keith Packard <keithp@keithp.com>  Sun, 25 Oct 2020 15:20:43 -0700

picolibc (1.4.6-2) unstable; urgency=medium

  * Add aarch64-linux-gnu target

 -- Keith Packard <keithp@keithp.com>  Mon, 03 Aug 2020 14:03:51 -0700

picolibc (1.4.6-1) unstable; urgency=medium

  * New upstream version

  * Install 'ssp' (stack smashing protection) header files. This fixes
    compiling with -D_FORTIFY_SOURCE.

  * Make getc/ungetc re-entrant. This feature, which is enabled by
    default, uses atomic instruction sequences that do not require
    OS support.

  * Numerous iconv fixes, including enabling testing and switching
    external CCS file loading to use stdio. By default, iconv provides
    built-in CCS data for all of the supported encodings, which takes
    a fairly large amount of read-only memory. Iconv is now always
    included in picolibc as  it isn't included in applications unless
    explicitly referenced by them.

  * Add __getauxval stub implementation to make picolibc work with
    GCC version 10 compiled for aarch64-linux-gnu.

  * Change how integer- and float- only versions of printf and scanf
    are selected. Instead of re-defining the symbols using the C
    preprocessor, picolibc now re-defines the symbols at link
    time. This avoids having applications compiled with a mixture of
    modes link in multiple versions of the underlying functions, while
    still preserving the smallest possible integer-only
    implementation.

  * Document how to use picolibc on a native POSIX system for
    testing. Check out the [os.md](doc/os.md) file for details.

  * Merge current newlib bits in. This includes better fenv support,
    for which tests are now included in the picolibc test suite.

 -- Keith Packard <keithp@keithp.com>  Mon, 03 Aug 2020 11:47:08 -0700

picolibc (1.4.5-1) unstable; urgency=medium

  * Fix section order in picolibc.ld to give applications correct
    control over the layout of .preserve, .init and .fini regions.

  * Add startup and TLS support for aarch64 and non Cortex-M 32-bit
    arm.

 -- Keith Packard <keithp@keithp.com>  Sun, 28 Jun 2020 15:34:19 -0700
