=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: optional
 Maintainer: Keith Packard <keithp@keithp.com>
 Build-Depends: debhelper-compat (= 13), gcc-arm-none-eabi, gcc-riscv64-unknown-elf, gcc-xtensa-lx106,
- meson, ninja-build, qemu-system-arm
-Standards-Version: 4.5.0
+ gcc-aarch64-linux-gnu, meson, ninja-build, qemu-system-arm
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Section: devel
-HomePage: https://keithp.com/picolibc
+Homepage: https://keithp.com/picolibc
 Vcs-Git: git://keithp.com/git/picolibc.git
 Vcs-Browser: https://keithp.com/cgit/picolibc.git/
 
@@ -33,3 +33,11 @@
  PicoLibc is a combination of Newlib and AVR libc bits designed
  for small-RAM embedded systems. This package has binaries for
  ESP8266 processors.
+
+Package: picolibc-aarch64-linux-gnu
+Architecture: all
+Depends: ${misc:Depends}, gcc-aarch64-linux-gnu
+Description: Smaller embedded C library for 64-bit ARM development
+ PicoLibc is a combination of Newlib and AVR libc bits designed
+ for small-RAM embedded systems. This package has binaries for
+ ARM 64-bit processors.
