## picolibc 1.7.3

=== meson_options.txt ===
--- 
+++ 
@@ -53,11 +53,17 @@
 option('picocrt', type: 'boolean', value: true,
        description: 'Include pico crt bits')
 
+option('semihost', type: 'boolean', value: true,
+       description: 'Include semihost bits')
+
 option('specsdir', type: 'string',
        description: 'Installation directory for .specs file')
 
 option('sysroot-install', type: 'boolean', value: false,
        description: 'Install in gcc sysroot')
+
+option('picoexit', type: 'boolean', value: true,
+       description: 'Smaller exit/atexit/onexit code')
 
 #
 # Testing options
@@ -68,8 +74,10 @@
        description: 'Enable tests')
 option('tests-enable-stack-protector', type: 'boolean', value: true,
        description: 'tests enable stack protector')
-option('tests-disable-full-malloc-stress', type: 'boolean', value: true,
-       description: 'tests disable stress test for full malloc')
+option('tests-enable-full-malloc-stress', type: 'boolean', value: false,
+       description: 'tests enable stress test for full malloc')
+option('tests-enable-posix-io', type: 'boolean', value: true,
+       description: 'tests enable posix-io when available')
 
 option('newlib-tinystdio', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Use tiny stdio from avr libc')
@@ -99,6 +107,8 @@
        description: 'Provide fopen/fdopen using POSIX I/O (open, close, read, write, lseek)')
 option('posix-console', type: 'boolean', value: false,
        description: 'Use POSIX I/O for stdin/stdout/stderr')
+option('format-default', type: 'combo', choices: ['double', 'float', 'integer'], value: 'double',
+       description: 'which printf/scanf versions should be the default')
 
 #
 # Options applying to only legacy stdio
@@ -127,6 +137,8 @@
        description: 'enable unbuffered stream optimization in streamio')
 option('newlib-wide-orient', type: 'boolean', value: false,
        description: 'Turn off wide orientation in streamio')
+option('newlib-have-fcntl', type: 'boolean', value: false,
+       description: 'System has fcntl function')
 
 #
 # Internationalization options
