=== debian/changelog ===
picolibc (1.7.3-2) unstable; urgency=medium

  * Add -fno-stack-protector to touch test build. Closes: #995473.

  * Update standards to 4.6.0.1

 -- Keith Packard <keithp@keithp.com>  Mon, 04 Oct 2021 22:02:31 -0700

picolibc (1.7.3-1) unstable; urgency=medium

  * New upstream release

  * Add -Wall -Wextra to default builds. Fixed warnings this raised.

  * Add htonl and friends (based on __htonl). Thanks to Johan de
    Claville Christiansen

  * Set errno in scalbn and scalbnf (patch forwarded to newlib).

  * Merge newlib recent changes which includes a couple of libm fixes.

 -- Keith Packard <keithp@keithp.com>  Thu, 30 Sep 2021 13:21:44 -0700

picolibc (1.7.2-2) unstable; urgency=medium

  * Build with updated gcc version

 -- Keith Packard <keithp@keithp.com>  Wed, 21 Jul 2021 14:08:52 -0700

picolibc (1.7.2-1) unstable; urgency=medium

  * Fix picolibc.ld to split C++ exceptions back apart (thanks to
    Khalil Estell)

  * Add vsscanf to tinystdio (required for libstdc++).

  * Also stick -isystem in C++ compile command to try and get
    picolibc headers to be used instead of newlib.

 -- Keith Packard <keithp@keithp.com>  Fri, 16 Jul 2021 17:57:26 -0700

picolibc (1.7.1-1) unstable; urgency=medium

  *  1. Add __cxa_atexit implementation to 'picoexit' path as required by
    C++

  * Fix lack of 'hh' support in integer-only tinystdio printf path.

  * Fix tinystdio __file flag initialization for C++ apps

 -- Keith Packard <keithp@keithp.com>  Mon, 12 Jul 2021 14:16:57 -0700

picolibc (1.7-1) unstable; urgency=medium

  * Merge libc and libm into a single library. Having them split
    doesn't offer any advantages while requiring that applications add
    '-lm' to link successfully. Having them merged allows use of libm
    calls from libc code.

  * Add hex float format to *printf, *scanf and strto{d,f,ld}. This is
    required for C99 support.

  * Unify strto{d,f,ld} and *scanf floating point parsing code. This
    ensures that the library is consistent in how floats are parsed.

  * Make strto{d,f,ld} set errno to ERANGE on overflow/underflow,
    including when the result is a subnormal number.

 -- Keith Packard <keithp@keithp.com>  Fri, 02 Jul 2021 11:11:39 -0700

picolibc (1.6.2-1) unstable; urgency=medium

  * Change `restrict` keyword in published headers to `__restrict` to
    restore compatibility with applications building with --std=c18.

  * Additional cleanups in time conversion funcs (Thanks to R. Riez)

 -- Keith Packard <keithp@keithp.com>  Thu, 17 Jun 2021 08:53:58 -0700

picolibc (1.6.1-1) unstable; urgency=medium

  * Code cleanups for time conversion funcs (Thanks to R. Diez)

  * Add '-fno-stack-protector' when supported by the C compiler
    to avoid trouble building with native Ubuntu GCC.

  * Bug fix for converting denorms with sscanf and strto{d,f,ld}.

  * Use __asm__ for inline asm code to allow building applications
    with --std=c18

  * Fix exit code for semihosting 'abort' call to make it visible
    to the hosting system.

  * Add strfromf and strfromd implementations. These are simple
    wrappers around sscanf, but strfromf handles float conversions
    without requiring a pass through 'double' or special linker hacks.

 -- Keith Packard <keithp@keithp.com>  Thu, 10 Jun 2021 12:34:19 -0700

picolibc (1.6-1) unstable; urgency=medium

  * Bugfix for snprintf(buf, 0) and vsnprintf(buf, 0) to avoid
    smashing memory

  * Support building libstdc++ on top of picolibc

  * Add 'hosted' crt0 variant that calls exit when main
    returns. This makes testing easier without burdening embedded apps
    with unused exit processing code.

  * Add 'minimal' crt0 variant that skips constructors to
    save space on systems known to not use any.

  * Fix HW floating point initialization on 32-bit ARM processors to
    perform 'dsb' and 'isb' instructions to ensure the FPU enabling
    write is complete before executing any FPU instructions.

  * Create a new '--picolibc-prefix' GCC command line parameter that
    sets the base of all picolibc file names.

  * Add bare-metal i386 and x86_64 initializatiton code (thanks to
    Mike Haertel). These initialize the processor from power up to
    running code without requiring any BIOS.

  * Merge newlib as of late April, 2021

  * Add 'timegm' function (thanks to R. Diez).

  * Fix a number of tinystdio bugs: handle fread with size==0, parse
    'NAN' and 'INF' in fscanf in a case-insensitive manner, fix
    negative precision to '*' arguments in printf, fix handling of
    'j', 'z' and 't' argument size specifiers (thanks to Sebastian
    Meyer).

  * Make the fenv API more consistent and more conformant with the
    spec. All architectures now fall back to the default code
    for soft float versions, which avoids having the various exception
    and rounding modes get defined when not supported.

 -- Keith Packard <keithp@keithp.com>  Fri, 04 Jun 2021 18:46:30 -0700

picolibc (1.5.1-3) unstable; urgency=medium

  * Change how test architecures are selected (thanks to Paul Gevers).

  * Test on aarch64

 -- Keith Packard <keithp@keithp.com>  Wed, 27 Jan 2021 10:34:41 -0800
